net.sf.jasperreports.engine.export

## Class JRHyperlinkProducerFactory

- java.lang.Object
- - net.sf.jasperreports.engine.export.JRHyperlinkProducerFactory

- Direct Known Subclasses:
    DefaultHyperlinkProducerFactory, JRHyperlinkProducerMapFactory, ReportExecutionHyperlinkProducerFactory

      public abstract class JRHyperlinkProducerFactory
      extends java.lang.Object

  An abstract factory of `hyperlink producers`.

  The factory is responsible for returning a hyperlink producer for a custom hyperlink type.

  Version:
    $Id: JRHyperlinkProducerFactory.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRHyperlinkProducerFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract JRHyperlinkProducer` | `getHandler(java.lang.String linkType)` Returns the hyperlink producer associated with a specific hyperlink type.
    `java.lang.String` | `produceHyperlink(JRPrintHyperlink hyperlink)` Generates the String hyperlink for a hyperlink instance based on its type and on the associated hyperlink producer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRHyperlinkProducerFactory

          public JRHyperlinkProducerFactory()

  - ### Method Detail

    - #### getHandler

          public abstract JRHyperlinkProducer getHandler(java.lang.String linkType)

      Returns the hyperlink producer associated with a specific hyperlink type.
      Parameters:
        `linkType` - the hyperlink type
      Returns:
        an associated hyperlink producer, or `null` when none associated

    - #### produceHyperlink

          public java.lang.String produceHyperlink(JRPrintHyperlink hyperlink)

      Generates the String hyperlink for a hyperlink instance based on its type and on the associated hyperlink producer.
      Parameters:
        `hyperlink` - the hyperlink instance
      Returns:
        the genereated String hyperlink
      See Also:
        `JRHyperlinkProducer.getHyperlink(JRPrintHyperlink)`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com